slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMESetDimensions

Sets the dimension of the subspace to be used by the solver.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetDimensions(LME lme,PetscInt ncv)

Logically Collective

### Input Parameters

| lme | - the linear matrix equation solver context
| ncv | - the maximum dimension of the subspace to be used by the solver

### Options Database Keys

| -lme_ncv <ncv> | - Sets the dimension of the subspace

### Notes

Use PETSC_DEFAULT for ncv to assign a reasonably good value, which is dependent on the solution method.

### See Also

LMEGetDimensions()

### Level

intermediate

### Location

src/lme/interface/lmeopts.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages